﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WD_PaneAtivate
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.ultraToolbarsManager1.AfterRibbonTabSelected += UltraToolbarsManager1_AfterRibbonTabSelected;
        }

        private void UltraToolbarsManager1_AfterRibbonTabSelected(object sender, Infragistics.Win.UltraWinToolbars.RibbonTabEventArgs e)
        {
            var pane = this.ultraDockManager1.ControlPanes[this.ultraExplorerBar2];

            if (e.Tab.Index == 2)
            {
                pane.Close();
            }
            else if (pane.Closed == true)
            {
                var previouslyActivePane = this.ultraDockManager1.ActivePane;

                pane.Show();

                if (previouslyActivePane != this.ultraDockManager1.ActivePane)
                {
                    // This code doesn't get hit.
                    MessageBox.Show("The active pane was changed. Activating the previously active pane!");
                    previouslyActivePane.Activate();
                }
            }
                
        }

        private void ultraDockManager1_PaneActivate(object sender, Infragistics.Win.UltraWinDock.ControlPaneEventArgs e)
        {
            Debug.WriteLine("!!!!!!!!!!!!!!!    Active Pane Changed      !!!!!!!!!!!!!!!!!!");
        }
    }
}
